//*****************************************************************************
// Created with Bishop3D for Windows
// Bishop3D Version 1.0.2.2 - Beta
// 12/02/2008 - 16:33:55
//*****************************************************************************

//*****************************************************************************
// Scene needs 1 external file:
//       C:\Graphics\Bishop3D\Scenes\Miri\Test\Wave0000.png
//*****************************************************************************

//*****************************************************************************
// Scene contains:
//       2 light sources
//       2 objects
//       1 sky spheres
// 
//*****************************************************************************

#version 3.6;

background { color rgb <0.000,0.000,0.000> }

//*****************************************************************************
// referenced scene items and forced visible scene items declaration begin
//*****************************************************************************

#declare Shadow_Clouds_Top =
pigment {
  color rgbft <0.196,0.600,0.800,0.000,0.000>
}

#declare Shadow_Clouds_Bot =
pigment {
  bozo
  color_map {
    [0.000 rgbft <0.850,0.850,0.850,0.000,0.000>]
    [0.100 rgbft <0.750,0.750,0.750,0.000,0.000>]
    [0.500 rgbft <1.000,1.000,1.000,0.000,1.000>]
  }

  rotate    <0.0,0.0,90.000>
  rotate    <180.000,0.0,0.0>
  scale     <1.000,6.000,6.000>
  rotate    <-180.000,0.000,-90.000>
  translate <0.000,-0.150,0.000>
  turbulence <0.650,0.650,0.650>
  octaves 6
  lambda 2.000
  omega 0.700
}

#declare Shadow_Clouds_Mid =
pigment {
  bozo
  color_map {
    [0.000 rgbft <0.850,0.850,0.850,0.000,0.000>]
    [0.100 rgbft <0.750,0.750,0.750,0.000,0.000>]
    [0.500 rgbft <1.000,1.000,1.000,0.000,1.000>]
  }

  rotate    <0.0,0.0,90.000>
  rotate    <180.000,0.0,0.0>
  scale     <1.000,6.000,6.000>
  rotate    <-180.000,0.000,-90.000>
  turbulence <0.650,0.650,0.650>
  octaves 6
  lambda 2.000
  omega 0.700
}

#declare Blue_White_Tiles0 =
texture {
  checker
  texture {
    pigment {
      color rgbft <1.000,1.000,1.000,0.000,0.000>
    }

    normal {
      average, 1000.000
      normal_map {
        [0.500,
          gradient < 0.001, 0.000, 1.000 >, 1.000
          slope_map {
            [ 0.000 < -0.100, 0.000 > ]
            [ 0.020 < 0.000, 0.000 > ]
            [ 0.079 < 0.000, 0.015 > ]
            [ 0.135 < 0.004, 0.026 > ]
            [ 0.254 < -0.000, 0.035 > ]
            [ 0.388 < 0.004, 0.054 > ]
            [ 0.462 < 0.002, 0.038 > ]
            [ 0.507 < 0.008, 0.000 > ]
            [ 0.580 < 0.002, -0.025 > ]
            [ 0.724 < 0.004, -0.034 > ]
            [ 0.858 < 0.003, -0.025 > ]
            [ 0.980 < 0.000, 0.000 > ]
            [ 1.000 < -0.100, 0.000 > ]
          }

          warp {
            turbulence <0.015,0.200,0.010>
            octaves 6
            lambda 2.010
            omega 0.497
          }
        ]
        [0.500,
          gradient < 1.000, 0.000, 0.000 >, 1.000
          slope_map {
            [ 0.000 < -0.100, 0.000 > ]
            [ 0.020 < 0.000, 0.000 > ]
            [ 0.079 < 0.000, 0.015 > ]
            [ 0.135 < 0.004, 0.026 > ]
            [ 0.258 < 0.004, 0.035 > ]
            [ 0.323 < 0.004, -0.022 > ]
            [ 0.449 < 0.004, 0.054 > ]
            [ 0.507 < 0.008, 0.000 > ]
            [ 0.608 < 0.004, -0.025 > ]
            [ 0.672 < 0.005, 0.035 > ]
            [ 0.859 < 0.005, -0.034 > ]
            [ 0.980 < 0.000, 0.000 > ]
            [ 1.000 < -0.100, 0.000 > ]
          }

          warp {
            turbulence <0.010,0.200,0.010>
            octaves 6
            lambda 2.000
            omega 0.500
          }
        ]
      }

    }

    finish {
      ambient     rgb <0.100,0.100,0.100>
      brilliance  1.000
      crand       0.000
      diffuse     0.600
      metallic    0.000
      phong       0.000
      phong_size  40.000
      specular    0.000
      roughness   0.249
      reflection {
        rgb <0.100,0.100,0.100>, rgb <0.000,0.000,0.000>
        fresnel   0
        falloff   0.000
        exponent  1.000
        metallic  0.000
      }
    }

  }

  texture {
    pigment {
      color rgbft <0.000,0.502,1.000,0.000,0.000>
    }

    normal {
      average, 1000.000
      normal_map {
        [0.500,
          gradient < 1.000, 0.000, 0.000 >, 1.000
          slope_map {
            [ 0.000 < -0.100, 0.000 > ]
            [ 0.020 < 0.000, 0.000 > ]
            [ 0.079 < 0.000, 0.015 > ]
            [ 0.135 < 0.004, 0.026 > ]
            [ 0.258 < 0.004, 0.035 > ]
            [ 0.323 < 0.001, -0.022 > ]
            [ 0.388 < 0.004, 0.054 > ]
            [ 0.507 < 0.008, 0.000 > ]
            [ 0.633 < 0.010, -0.060 > ]
            [ 0.765 < 0.004, -0.025 > ]
            [ 0.871 < 0.008, -0.034 > ]
            [ 0.980 < 0.000, 0.000 > ]
            [ 1.000 < -0.100, 0.000 > ]
          }

          warp {
            turbulence <0.010,0.200,0.010>
            octaves 6
            lambda 2.010
            omega 0.497
          }
        ]
        [0.500,
          gradient < 0.001, 0.000, 1.000 >, 1.000
          slope_map {
            [ 0.000 < -0.100, 0.000 > ]
            [ 0.020 < 0.000, 0.000 > ]
            [ 0.079 < 0.000, 0.015 > ]
            [ 0.135 < 0.004, 0.026 > ]
            [ 0.258 < 0.004, 0.035 > ]
            [ 0.323 < 0.004, -0.022 > ]
            [ 0.422 < 0.001, 0.054 > ]
            [ 0.507 < 0.008, 0.000 > ]
            [ 0.608 < 0.004, -0.025 > ]
            [ 0.736 < 0.005, -0.034 > ]
            [ 0.853 < 0.008, -0.025 > ]
            [ 0.980 < 0.000, 0.000 > ]
            [ 1.000 < -0.100, 0.000 > ]
          }

          warp {
            turbulence <0.015,0.200,0.010>
            octaves 6
            lambda 2.010
            omega 0.497
          }
        ]
      }

    }

    finish {
      ambient     rgb <0.100,0.100,0.100>
      brilliance  1.000
      crand       0.000
      diffuse     0.600
      metallic    0.000
      phong       0.000
      phong_size  40.000
      specular    0.000
      roughness   0.249
      reflection {
        rgb <0.100,0.100,0.100>, rgb <0.000,0.000,0.000>
        fresnel   0
        falloff   0.000
        exponent  1.000
        metallic  0.000
      }
    }

  }

  rotate    <0.0,0.0,180.000>
  rotate    <-90.000,0.0,0.0>
  scale     <-300.000,-300.000,-1000.000>
  rotate    <90.000,0.000,-180.000>
  rotate    <0.000,-180.000,0.000>
  scale     <0.010,0.010,0.010>
}

#declare Texture_To_Be_Animated0 =
texture {
  pigment {
    image_map{
      png concat("Wave",str(frame_number,-4,0),".png")
      
   //   //      png "Wave0000.png"

      interpolate 4 
      map_type 0
      once
    }
    translate <-0.500,-0.500,-0.500>
  }

  finish {
    ambient     rgb <1.000,1.000,1.000>
    brilliance  1.000
    crand       0.000
    diffuse     0.600
    metallic    0.000
    phong       0.000
    phong_size  40.000
    specular    0.000
    roughness   0.050
  }

}   

//////////////////////////////////////////////////////////////////////////

        # debug concat(" clock = " , str(clock,0,9), " \t")       
        # debug concat(" frame_number = ", str(frame_number ,0,0), " \n")       

        # debug concat(" Image = " , concat("Wave",str(frame_number,-4,0),".png") , " \n")       
       // # debug concat(" Final_Frame= = " , str(final_frame ,0,0), " \n", " \n", " \n")     
        
        
        
          
//        # debug concat(" Subset_Start_Frame = " , str(Subset_Start_Frame,0,t), " \n", " \n", " \n")       
//        # debug concat(" Rad02 = " , str(Rad02,0,9), " \n")       

//        # debug concat(" Number = " , str(Number,0,9), " \n")       


#declare Camera0 =
camera {
  perspective
  location <13.490,8.261,56.545>
  up y
  right -1.333*x
  angle 33.000
  sky <-0.000,1.000,-0.022>
  look_at < 13.451, 7.140, 5.627 >
}  // end Camera0


//*****************************************************************************
// referenced scene items and forced visible scene items declaration end
//*****************************************************************************

light_source {  // Light_Source0
  < 0.000000, 0.000000, 0.000000 >, color rgb <1.000,1.000,1.000>
  fade_power 0.000
  fade_distance 100.000
  media_attenuation off
  media_interaction on
  translate <-40.000000,10.000000,5.000000>
}  // end Light_Source0

light_source {  // Light_Source1
  < 0.000000, 0.000000, 0.000000 >, color rgb <1.000,1.000,1.000>
  fade_power 0.000
  fade_distance 100.000
  media_attenuation off
  media_interaction on
  translate <-40.000000,100.000000,5.000000>
}  // end Light_Source1

sky_sphere {  // SkySphere1
  pigment{ Shadow_Clouds_Top }
  pigment{ Shadow_Clouds_Mid }
  pigment{ Shadow_Clouds_Bot }

}  // end SkySphere1

plane {  // Plane1
  y , 0
  texture{ Blue_White_Tiles0 }
}  // end Plane1

box {  // Box0
  < -0.500000, -0.500000, -0.500000 >, < 0.500000, 0.500000, 0.500000 >
  texture{ Texture_To_Be_Animated0 }   
  
  scale     <15.000000,15.000000,0.010000>   
 //   rotate clock*360*y

  translate <15.000000,8.888000,0.000000>
  no_shadow   
  
}  // end Box0


camera{ Camera0 }

